Bug 46425 - dhcpcd invents a default route when none is supplied
dhcpcd invents a default route when none is supplied
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
: 55312 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-06-28 09:33 EDT by chris
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-20 20:17:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description chris 2001-06-28 09:33:49 EDT
When the DHCP server doesn't supply the routersOnSubnet option in its
reply, dhcpcd assumes that it can use the giaddr instead, and just goes
ahead and uses it to invent its own static route:

 if ( ! DhcpOptions.val[routersOnSubnet] )
     DhcpOptions.val[routersOnSubnet] = malloc(4);
     if ( DhcpMsgRecv->giaddr )

I can't find any warrant for doing this in RFC2131, and it's not the
behaviour I want (or expect).  Could it at least be made possible to
disable this behaviour using a command-line option?

Thanks very much,
Comment 1 Elliot Lee 2001-09-20 20:17:51 EDT
I'll have to ask the upstream maintainer.
Comment 2 Elliot Lee 2001-12-31 14:00:53 EST
Upstream maintainer says it is fixed in dhcpcd-1.3.21pl1, which is in rawhide.
Comment 3 Elliot Lee 2002-01-04 14:46:20 EST
*** Bug 55312 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.